pangomm 2.43.1 released


This is a multi-part message in MIME format.

boundary=”————108BF1598184E1E2AE55EC15″
Content-Language: en-US

This is a multi-part message in MIME format.
————–108BF1598184E1E2AE55EC15

Content-Transfer-Encoding: 7bit

C++ binding for Pango.

pangomm 2.43 wraps pango 1.43

Home page: http://www.gtkmm.org
Download: https://download.gnome.org/sources/pangomm/
Documentation: https://developer.gnome.org/pangomm/2.43/

pangomm 2.43 is an unstable version of the pangomm-2.44 API.
It installs in parallel with the pangomm-1.4 API/ABI, of which
the most recent version is pangomm 2.42.0.

*** Changes

2.43.1 (unstable):
Distro packagers should probably not package this yet.

* Attribute: Add several create_attr_*() methods
(Kjell Ahlstedt) Bug #781059 = Issue #2 (Tony Houghton)
* FontDescription: Add set/get_variations()
(Kjell Ahlstedt)

Build:
* Require C++17.
(Murray Cumming)
* Replace the Visual Studio project files with MSVC NMake project files
(Chun-wei Fan) Merge request !1
* Use glibmm-2.60 instead of glibmm-2.56
(Kjell Ahlstedt)
* Requires pango >= 1.41.0
because of FontDescription::set/get_variations()
(Kjell Ahlstedt)
* Change the ABI to pangomm-2.44
(Kjell Ahlstedt)

Kjell Ahlstedt kjellahlstedt@gmail.com

————–108BF1598184E1E2AE55EC15

Content-Transfer-Encoding: 7bit

C++ binding for Pango.

pangomm 2.43 wraps pango 1.43

Home page: http://www.gtkmm.org
Download:
https://download.gnome.org/sources/pangomm/
Documentation: https://developer.gnome.org/pangomm/2.43/

pangomm 2.43 is an unstable version of the pangomm-2.44 API.
It installs in parallel with the pangomm-1.4 API/ABI, of which
the most recent version is pangomm 2.42.0.

*** Changes

2.43.1 (unstable):
Distro packagers should probably not package this yet.

* Attribute: Add several create_attr_*() methods
  (Kjell Ahlstedt) Bug #781059 = Issue #2 (Tony Houghton)
* FontDescription: Add set/get_variations()
  (Kjell Ahlstedt)

Build:
* Require C++17.
  (Murray Cumming)
* Replace the Visual Studio project files with MSVC NMake project files
  (Chun-wei Fan) Merge request !1
* Use glibmm-2.60 instead of glibmm-2.56
  (Kjell Ahlstedt)
* Requires pango >= 1.41.0
  because of FontDescription::set/get_variations()
  (Kjell Ahlstedt)
* Change the ABI to pangomm-2.44
  (Kjell Ahlstedt)

Kjell Ahlstedt
kjellahlstedt@gmail.com

————–108BF1598184E1E2AE55EC15–

MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

_______________________________________________
gnome-announce-list mailing list
gnome-announce-list@gnome.org
https://mail.gnome.org/mailman/listinfo/gnome-announce-list